/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*	Copyright (C) 2005, 2006 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

// These specify the rules for various contexts.

// These variables aren't maked "volatile", so changing their defaults
// below and loading them into an existing instance of Epsilon by
// recompiling chelp.e won't set a new value.  Add "volatile" to their
// definitions to do this.
user char context_help_default_rule[FNAMELEN]
   = "=http://www.google.com/search?q=";
user char context_help_rule_perl[FNAMELEN] = "+context_help_perldoc";
user char context_help_rule_shell[FNAMELEN] = "+context_help_man";
user char context_help_rule_eel[FNAMELEN] = ">epsilon";
user char context_help_rule_c_windows[FNAMELEN]
   = "+context_help_windows_compilers";
user char context_help_rule_c_unix[FNAMELEN] = "+context_help_man";

user char context_help_rule_php[FNAMELEN]
   = "=http://www.google.com/search?q=*+site:www.php.net&l=en&btnI=I";
user char context_help_rule_java[FNAMELEN]
   = "=http://www.google.com/search?q=*+site:java.sun.com&l=en&btnI=I";
user char context_help_rule_html[FNAMELEN]
   = "=http://www.google.com/search?q=*+site:www.htmlhelp.com&l=en&btnI=I";
user char context_help_rule_jscript[FNAMELEN]
   = "=http://www.google.com/search?q=*+site:developer.mozilla.org&l=en&btnI=I";
user char context_help_rule_vbscript[FNAMELEN]
   = "=http://www.google.com/search?q=*+site:www.w3schools.com&l=en&btnI=I";
user char context_help_rule_xml[FNAMELEN];
user char context_help_rule_vbasic_windows[FNAMELEN]
   = "+context_help_windows_compilers";
user char context_help_rule_vbasic_unix[FNAMELEN];
user char context_help_rule_python[FNAMELEN]
   = "=http://www.google.com/search?q=*+site:docs.python.org&l=en&btnI=I";
user char context_help_rule_tex[FNAMELEN];
user char context_help_rule_latex[FNAMELEN]
   = "=http://www.google.com/search?q=%22hypertext+help%22+latex+*&l=en&btnI=I";
user char context_help_rule_gams[FNAMELEN];
user char context_help_rule_postscript[FNAMELEN];
user char context_help_rule_vhdl[FNAMELEN]
   = "=http://www.google.com/search?q=*+site:www.acc-eda.com&l=en&btnI=I";
user char context_help_rule_tcl[FNAMELEN]
   = "=http://www.google.com/search?q=*+-%22keyword+index%22"
	 "+site:tmml.sourceforge.net&l=en&btnI=I";
user char context_help_rule_asm_windows[FNAMELEN]
   = "+context_help_windows_compilers";
user char context_help_rule_asm_unix[FNAMELEN];
